wayland-ivi-extension 1.11

Arun Kumar arunkumar281191 at gmail.com
Tue Mar 7 04:23:40 EST 2017


HI

I'm getting Segmentation fault when starting EGLWLMockNavigation

I build the wayland and weston with 1.11 and wayland-ivi-extension 1.10.90.

I'm using yocto layer meta-ivi with head
82ad0c7481c5c0343049b1bf5872b163fd868fc1
which is master

Weston is successfully launching.
Also default configuration weston-ivi-shell-user-interface also working
fine with the ini file from git.

only creating problem with ilm components[wayland-ivi-extension].

weston.ini file i'm using which works fine in 1.9.0

*[core]*
*shell=ivi-shell.so*
*backend=fbdev-backend.so*

*[ivi-shell]*
*ivi-module=ivi-controller.so*

commands i used
$ weston --tty=1 &
$layer-add-surfaces 1000 100 &
$ EGLWLMockNavigation
Segmentation fault (core dumped)

Thanks and Regards,
B.Arun kumar

On Wed, Jan 25, 2017 at 12:47 PM, Ucan, Emre (ADITG/SW1) <
eucan at de.adit-jv.com> wrote:

> Hi Arun,
>
> We moved to github. This is the 1.11 release: https://github.com/GENIVI/
> wayland-ivi-extension/commit/1abcf3ca6b1dfd83409ac73719e25d3870471b05
>
> You have to move 1.11, because wayland-ivi-extensions requires weston
> 1.11, and weston v1.11 requires wayland 1.11.
>
> Best regards
>
> Emre Ucan
> Software Group I (ADITG/SW1)
>
> Tel. +49 5121 49 6937
>
> > -----Original Message-----
> > From: genivi-ivi-layer-management [mailto:genivi-ivi-layer-management-
> > bounces at mailman1.genivi.org] On Behalf Of Arun Kumar
> > Sent: Mittwoch, 25. Januar 2017 08:15
> > To: genivi-ivi-layer-management at mailman1.genivi.org
> > Subject: wayland-ivi-extension 1.11
> >
> > Hi Emre,
> >
> >     I'm using wayland version 1.9 and wayland-ivi-extesion version 1.9.1.
> > planning to update wayland-ivi-extension because its having more bug
> fixes.
> >
> >     But in  git  http://git.projects.genivi.
> org/?p=wayland-ivi-extension.git
> > the last commit is showing as
> >
> > Bump version 1.10.90 pre-release of 1.11.0
> > <http://git.projects.genivi.org/?p=wayland-ivi-
> > extension.git;a=commit;h=6c2823684105c0bd46aaeca817fe5d87e7c6da25>
> >
> > please confirm that whether this is the 1.11 release?
> > Also if i update wayland-ivi-extenstion with this commit whether it will
> > work on wayland version 1.9?
> > Or did i want to update wayland too for 1.11?
> > _______________________________________________
> > genivi-ivi-layer-management mailing list
> > genivi-ivi-layer-management at mailman1.genivi.org
> > http://lists.genivi.org/cgi-bin/mailman/listinfo/genivi-
> ivi-layer-management
>



More information about the genivi-ivi-layer-management mailing list